Télécharger la liste

Sponsored link

Description du projet

PoPy is a Python driver for PostgreSQL 7.0. It is DB API v2.0 compliant, and supports level-2 thread safety.

Système requise

System requirement is not defined
Information regarding Project Releases and Project Resources. Note that the information here is a quote from Freecode.com page, and the downloads themselves may not be hosted on OSDN.

2001-08-14 16:46
2.0.7

Cette version corrige un bug avec l'attribut cursor.datestyle qui a retourné faute de segmentation.
Tags: Minor bugfixes
This release fixes a bug with the cursor.datestyle attribute, which returned segfault.

2001-08-13 18:57
2.0.6

Popy s'occupe maintenant de la durée réelle des objets en utilisant le PQfmod () la fonction. Cette fonction est utile pour les objets qui renvoient -1 avec la PQfsize () la fonction.
Tags: Major bugfixes
PoPy now handles the real length of items by using the PQfmod() function. This
function is useful for objects which return -1 with the PQfsize() function.

2001-08-09 18:27
2.0.5

Cette version inclut quelques corrections de bugs rendant encore plus Popy DB API 2.0. Popy aussi exige maintenant têtes mxdatetime à compiler.
Tags: Major feature enhancements
This release includes some bugfixes making PoPy even more DB API 2.0 compliant. PoPy also now requires mxDateTime headers to compile.

2001-03-06 01:30
3.0-beta1

Cette version ajoute de vote de connexions.
Tags: Major feature enhancements
This release adds polling of connections.

2001-03-05 22:39
2.0.2

Cette version apporte de nombreuses corrections de bugs dont un pour le bug d'erreur d'impression.
Tags: Minor bugfixes
This release adds a lot of bugfixes including one for the Notice Error bug.

Project Resources